<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'hrm',

    /*
     * Package.
     */
    'package'   => 'manpower',

    /*
     * Modules.
     */
    'modules'   => ['manpower'],

    
    'manpower'       => [
        'model' => [
            'model'                 => \Hrm\Manpower\Models\Manpower::class,
            'table'                 => 'manpowers',
            'presenter'             => \Hrm\Manpower\Repositories\Presenter\ManpowerPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'company_id',  'company_type',  'department_id',  'date',  'job_vacancy',  'location',  'employed_under',  'reason',  'type',  'employment_type',  'others_reason',  'work_description',  'qualification',  'work_experience',  'commencement_date',  'supervisor',  'actual_no',  'plan_no',  'variance',  'user_id',  'user_type',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'manpower/manpower',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Hrm',
            'package'   => 'Manpower',
            'module'    => 'Manpower',
        ],

    ],
];
