<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateManpowersTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: manpowers
         */
        Schema::create('manpowers', function ($table) {
            $table->increments('id');
            $table->integer('company_id')->nullable();
            $table->enum('company_type', ['TPL','ENB','TNL','OTHERS'])->nullable();
            $table->integer('department_id')->nullable();
            $table->date('date')->nullable();
            $table->string('job_vacancy', 30)->nullable();
            $table->string('location', 30)->nullable();
            $table->string('employed_under', 50)->nullable();
            $table->text('reason')->nullable();
            $table->enum('type', ['Replacement','New Position'])->nullable();
            $table->enum('employment_type', ['Full Time','Part Time','Others'])->nullable();
            $table->string('others_reason', 500)->nullable();
            $table->text('work_description')->nullable();
            $table->text('qualification')->nullable();
            $table->text('work_experience')->nullable();
            $table->date('commencement_date')->nullable();
            $table->string('supervisor', 50)->nullable();
            $table->integer('actual_no')->nullable();
            $table->integer('plan_no')->nullable();
            $table->integer('variance')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 20)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('manpowers');
    }
}
