# Installation

The instructions below will help you to properly install the generated package to the lavalite project.

## Location

Extract the package contents to the folder 

`/packages/hrm/manpower/`

## Composer

Add the below entries in the `composer.json` file's autoload section and run the command `composer dump-autoload` in terminal.

```json

...
     "autoload": {
         ...

        "classmap": [
            ...
            
            "packages/hrm/manpower/database/seeds",
            
            ...
        ],
        "psr-4": {
            ...
            
            "Hrm\\Manpower\\": "packages/hrm/manpower/src",
            
            ...
        }
    },
...

```

## Config

Add the entries in service provider in `config/app.php`

```php

...
    'providers'       => [
        ...
        
        Hrm\Manpower\Providers\ManpowerServiceProvider::class,
        
        ...
    ],

    ...

    'alias'             => [
        ...
        
        'Manpower'  => Hrm\Manpower\Facades\Manpower::class,
        
        ...
    ]
...

```

## Migrate

After service provider is set run the commapnd to migrate and seed the database.


    php artisan migrate
    php artisan db:seed --class=Hrm\\ManpowerTableSeeder

## Publishing


**Publishing configuration**

    php artisan vendor:publish --provider="Hrm\Manpower\Providers\ManpowerServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Hrm\Manpower\Providers\ManpowerServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Hrm\Manpower\Providers\ManpowerServiceProvider" --tag="view"


## URLs and APIs


### Web Urls

**Admin**

    http://path-to-route-folder/admin/manpower/{modulename}

**User**

    http://path-to-route-folder/user/manpower/{modulename}

**Public**

    http://path-to-route-folder/manpowers


### API endpoints

**List**
 
    http://path-to-route-folder/api/user/manpower/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/manpower/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/manpower/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/manpower/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/manpower/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/manpower/{modulename}/{slug}
    METHOD: GET