<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            <i class="fa fa-file-text-o"></i> {!! trans('manpower::manpower.name') !!} <small> {!! trans('app.manage') !!} {!! trans('manpower::manpower.names') !!}</small>
        </h1>
        <ol class="breadcrumb">
            <li><a href="{!! guard_url('/') !!}"><i class="fa fa-dashboard"></i> {!! trans('app.home') !!} </a></li>
            <li class="active">{!! trans('manpower::manpower.names') !!}</li>
        </ol>
    </section>
    <!-- Main content -->
    <section class="content">
    <div id='manpower-manpower-entry'>
    </div>
        <div class="nav-tabs-custom">
            <ul class="nav nav-tabs">
                    <li class="{!!(request('status') == '')?'active':'';!!}"><a href="{!!guard_url('manpower/manpower')!!}">{!! trans('manpower::manpower.names') !!}</a></li>
                    <li class="{!!(request('status') == 'archive')?'active':'';!!}"><a href="{!!guard_url('manpower/manpower?status=archive')!!}">Archived</a></li>
                    <li class="{!!(request('status') == 'deleted')?'active':'';!!}"><a href="{!!guard_url('manpower/manpower?status=deleted')!!}">Trashed</a></li>
                    <li class="pull-right">
                    <span class="actions">
                    <!--   
                    <a  class="btn btn-xs btn-purple"  href="{!!guard_url('manpower/manpower/reports')!!}"><i class="fa fa-bar-chart" aria-hidden="true"></i><span class="hidden-sm hidden-xs"> Reports</span></a>
                    @include('manpower::admin.manpower.partial.actions')
                    -->
                    @include('manpower::admin.manpower.partial.filter')
                    @include('manpower::admin.manpower.partial.column')
                    </span> 
                </li>
            </ul>
            <div class="tab-content">
                <table id="manpower-manpower-list" class="table table-striped data-table">
                    <thead class="list_head">
                        <th style="text-align: right;" width="1%"><a class="btn-reset-filter" href="#Reset" style="display:none; color:#fff;"><i class="fa fa-filter"></i></a> <input type="checkbox" id="manpower-manpower-check-all"></th>
                        <th data-field="company_id">{!! trans('manpower::manpower.label.company_id')!!}</th>
                    <th data-field="company_type">{!! trans('manpower::manpower.label.company_type')!!}</th>
                    <th data-field="department_id">{!! trans('manpower::manpower.label.department_id')!!}</th>
                    <th data-field="date">{!! trans('manpower::manpower.label.date')!!}</th>
                    <th data-field="job_vacancy">{!! trans('manpower::manpower.label.job_vacancy')!!}</th>
                    <th data-field="location">{!! trans('manpower::manpower.label.location')!!}</th>
                    <th data-field="employed_under">{!! trans('manpower::manpower.label.employed_under')!!}</th>
                    <th data-field="reason">{!! trans('manpower::manpower.label.reason')!!}</th>
                    <th data-field="type">{!! trans('manpower::manpower.label.type')!!}</th>
                    <th data-field="employment_type">{!! trans('manpower::manpower.label.employment_type')!!}</th>
                    <th data-field="others_reason">{!! trans('manpower::manpower.label.others_reason')!!}</th>
                    <th data-field="work_description">{!! trans('manpower::manpower.label.work_description')!!}</th>
                    <th data-field="qualification">{!! trans('manpower::manpower.label.qualification')!!}</th>
                    <th data-field="work_experience">{!! trans('manpower::manpower.label.work_experience')!!}</th>
                    <th data-field="commencement_date">{!! trans('manpower::manpower.label.commencement_date')!!}</th>
                    <th data-field="supervisor">{!! trans('manpower::manpower.label.supervisor')!!}</th>
                    <th data-field="actual_no">{!! trans('manpower::manpower.label.actual_no')!!}</th>
                    <th data-field="plan_no">{!! trans('manpower::manpower.label.plan_no')!!}</th>
                    <th data-field="variance">{!! trans('manpower::manpower.label.variance')!!}</th>
                    </thead>
                </table>
            </div>
        </div>
    </section>
</div>

<script type="text/javascript">

var oTable;
var oSearch;
$(document).ready(function(){
    app.load('#manpower-manpower-entry', '{!!guard_url('manpower/manpower/0')!!}');
    oTable = $('#manpower-manpower-list').dataTable( {
        'columnDefs': [{
            'targets': 0,
            'searchable': false,
            'orderable': false,
            'className': 'dt-body-center',
            'render': function (data, type, full, meta){
                return '<input type="checkbox" name="id[]" value="' + data.id + '">';
            }
        }], 
        
        "responsive" : true,
        "order": [[1, 'asc']],
        "bProcessing": true,
        "sDom": 'R<>rt<ilp><"clear">',
        "bServerSide": true,
        "sAjaxSource": '{!! guard_url('manpower/manpower') !!}',
        "fnServerData" : function ( sSource, aoData, fnCallback ) {

            $.each(oSearch, function(key, val){
                aoData.push( { 'name' : key, 'value' : val } );
            });
            app.dataTable(aoData);
            $.ajax({
                'dataType'  : 'json',
                'data'      : aoData,
                'type'      : 'GET',
                'url'       : sSource,
                'success'   : fnCallback
            });
        },

        "columns": [
            {data :'id'},
            {data :'company_id'},
            {data :'company_type'},
            {data :'department_id'},
            {data :'date'},
            {data :'job_vacancy'},
            {data :'location'},
            {data :'employed_under'},
            {data :'reason'},
            {data :'type'},
            {data :'employment_type'},
            {data :'others_reason'},
            {data :'work_description'},
            {data :'qualification'},
            {data :'work_experience'},
            {data :'commencement_date'},
            {data :'supervisor'},
            {data :'actual_no'},
            {data :'plan_no'},
            {data :'variance'},
        ],
        "pageLength": 25
    });

    $('#manpower-manpower-list tbody').on( 'click', 'tr', function () {
        oTable.$('tr.selected').removeClass('selected');
        $(this).addClass('selected');
        var d = $('#manpower-manpower-list').DataTable().row( this ).data();
        $('#manpower-manpower-entry').load('{!!guard_url('manpower/manpower')!!}' + '/' + d.id);
    });

    $('#manpower-manpower-list tbody').on( 'change', "input[name^='id[]']", function (e) {
        e.preventDefault();

        aIds = [];
        $(".child").remove();
        $(this).parent().parent().removeClass('parent'); 
        $("input[name^='id[]']:checked").each(function(){
            aIds.push($(this).val());
        });
    });

    $("#manpower-manpower-check-all").on( 'change', function (e) {
        e.preventDefault();
        aIds = [];
        if ($(this).prop('checked')) {
            $("input[name^='id[]']").each(function(){
                $(this).prop('checked',true);
                aIds.push($(this).val());
            });

            return;
        }else{
            $("input[name^='id[]']").prop('checked',false);
        }
        
    });


    $(".reset_filter").click(function (e) {
        e.preventDefault();
        $("#form-search")[ 0 ].reset();
        $('#form-search input,#form-search select').each( function () {
          oTable.search( this.value ).draw();
        });
        $('#manpower-manpower-list .reset_filter').css('display', 'none');

    });


    // Add event listener for opening and closing details
    $('#manpower-manpower-list tbody').on('click', 'td.details-control', function (e) {
        e.preventDefault();
        var tr = $(this).closest('tr');
        var row = table.row( tr );
 
        if ( row.child.isShown() ) {
            // This row is already open - close it
            row.child.hide();
            tr.removeClass('shown');
        } else {
            // Open this row
            row.child( format(row.data()) ).show();
            tr.addClass('shown');
        }
    });

});
</script>