<?php

namespace Hrm\Manpower;

use User;

class Manpower
{
    /**
     * $manpower object.
     */
    protected $manpower;

    /**
     * Constructor.
     */
    public function __construct(\Hrm\Manpower\Interfaces\ManpowerRepositoryInterface $manpower)
    {
        $this->manpower = $manpower;
    }

    /**
     * Returns count of manpower.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.manpower.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->manpower->pushCriteria(new \Litepie\Hrm\Repositories\Criteria\ManpowerUserCriteria());
        }

        $manpower = $this->manpower->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('manpower::' . $view, compact('manpower'))->render();
    }
}
