<?php

namespace Hrm\Manpower\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ManpowerTransformer extends TransformerAbstract
{
    public function transform(\Hrm\Manpower\Models\Manpower $manpower)
    {
        return [
            'id'                => $manpower->getRouteKey(),
            'key'               => [
                'public'    => $manpower->getPublicKey(),
                'route'     => $manpower->getRouteKey(),
            ], 
            'company_id'        => $manpower->company_id,
            'company_type'      => $manpower->company_type,
            'department_id'     => $manpower->department_id,
            'date'              => $manpower->date,
            'job_vacancy'       => $manpower->job_vacancy,
            'location'          => $manpower->location,
            'employed_under'    => $manpower->employed_under,
            'reason'            => $manpower->reason,
            'type'              => $manpower->type,
            'employment_type'   => $manpower->employment_type,
            'others_reason'     => $manpower->others_reason,
            'work_description'  => $manpower->work_description,
            'qualification'     => $manpower->qualification,
            'work_experience'   => $manpower->work_experience,
            'commencement_date' => $manpower->commencement_date,
            'supervisor'        => $manpower->supervisor,
            'actual_no'         => $manpower->actual_no,
            'plan_no'           => $manpower->plan_no,
            'variance'          => $manpower->variance,
            'user_id'           => $manpower->user_id,
            'user_type'         => $manpower->user_type,
            'deleted_at'        => $manpower->deleted_at,
            'url'               => [
                'public'    => trans_url('manpower/'.$manpower->getPublicKey()),
                'user'      => guard_url('manpower/manpower/'.$manpower->getRouteKey()),
            ], 
            'status'            => trans('app.'.$manpower->status),
            'created_at'        => format_date($manpower->created_at),
            'updated_at'        => format_date($manpower->updated_at),
        ];
    }
}